{% extends "admin/base_site.html" %}
{% load i18n admin_urls static admin_modify %}

{% block extrahead %}{{ block.super }}
<script type="text/javascript" src="{% url 'admin:jsi18n' %}"></script>
{{ media }}
{% endblock %}

{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href="{% static "admin/css/forms.css" %}">{% endblock %}

{% block coltype %}colM{% endblock %}

{% block bodyclass %}{{ block.super }} app-{{ opts.app_label }} model-{{ opts.model_name }} change-form{% endblock %}

{% block usertools %}
{% comment %}
{% if has_permission %}
{% endcomment %}
<div id="user-tools">
    {% block welcome-msg %}
        {% trans 'Welcome,' %}
        <strong>{% firstof user.get_short_name user.get_username %}</strong>.
    {% endblock %}
    {% block userlinks %}
        {% if site_url %}
            <a href="{{ site_url }}">{% trans 'View site' %}</a> /
        {% endif %}
        {% if user.is_active and user.is_staff %}
            {% url 'django-admindocs-docroot' as docsroot %}
            {% if docsroot %}
                <a href="{{ docsroot }}">{% trans 'Documentation' %}</a> /
            {% endif %}
        {% endif %}
        {% if user.has_usable_password %}
        <a href="{% url 'admin:password_change' %}">{% trans 'Change password' %}</a> /
        {% endif %}
        <a href="{% url 'admin:logout' %}">{% trans 'Log out' %}</a>
    {% endblock %}
</div>
{% comment %}
{% endif %}
{% endcomment %}
{% endblock %}

{% block content %}<div id="content-main">
{% block object-tools %}
{% if change %}{% if not is_popup %}
  <ul class="object-tools">
    {% block object-tools-items %}
      {% change_form_object_tools %}
    {% endblock %}
  </ul>
{% endif %}{% endif %}
{% endblock %}

{% if envoi %}{{ msg|linebreaks }}{% endif %}

<form action="/admin/sandbox/" method="post">
    {% csrf_token %}
    <h2>Strategy</h2>
    {{ strategy_form.as_p }}
    <h2>Rotation</h2>
    {{ rotation_form.as_p }}
    <h2>Crop concentration</h2>
    {{ crop_concentration_form.as_p }}
    <h2>Soil</h2>
    {{ soil_form.as_p }}
    {{ soil_sample_form.as_p }}
    <h2>N equation parameter</h2>
    {{ n_equation_param_form.as_p }}
    <h2>P threshold</h2>
    {{ p_threshold_form.as_p }}
    <h2>K threshold</h2>
    {{ k_threshold_form.as_p }}
    <h2>Soil effect</h2>
    {{ soil_effect_form.as_p }}
    <h2>Efficiency factor</h2>
    {{ efficiency_factor_form.as_p }}
    <h2>Maximum phosphorus rate</h2>
    {{ max_p_rate_form.as_p }}
    <h2>Maximum potassium rate</h2>
    {{ max_k_rate_form.as_p }}
    <input type="submit" value="Submit" />
</form></div>
{% endblock %}